Subject: vacuum monitoring in the doc

From: "Marc Mamin" <[email-masked]>
Date: Tue, 22 May 2012 10:57:28 +0200

Hello, 

I find that 2 informations on vacuum are quite hard to find in the doc:

- "log_autovacuum_min_duration" is not listed in "What to log"
 (
http://www.postgresql.org/docs/9.1/static/runtime-config-logging.html#RU
NTIME-CONFIG-LOGGING-WHAT )

- There is no hint on how to monitor vaccum in the main chapter 
 ( http://www.postgresql.org/docs/9.1/static/routine-vacuuming.html )
  A hint on pg_stat_all_tables would be helpful.
  (
http://www.postgresql.org/docs/9.1/static/monitoring-stats.html#MONITORI
NG-STATS-VIEWS-TABLE )
  
best regards,

Marc Mamin

---

From: Bruce Momjian <[email-masked]>
Date: Thu, 30 Aug 2012 14:45:39 -0400

On Tue, May 22, 2012 at 10:57:28AM +0200, Marc Mamin wrote:
>  ( http://www.postgresql.org/docs/9.1/static/runtime-config-logging.html#
> RUNTIME-CONFIG-LOGGING-WHAT )
> 
>   ( http://www.postgresql.org/docs/9.1/static/monitoring-stats.html#
> MONITORING-STATS-VIEWS-TABLE )

Good point.  Corrected with the attached, applied patch.  I ended up
adding it to the autovacuum section.

-- 
  Bruce Momjian  <[email-masked]>        http://momjian.us
  EnterpriseDB                             http://enterprisedb.com

  + It's impossible for everything to be true. +
diff --git a/doc/src/sgml/maintenance.sgml b/doc/src/sgml/maintenance.sgml
new file mode 100644
index fb705b2..ab01da1
*** a/doc/src/sgml/maintenance.sgml
--- b/doc/src/sgml/maintenance.sgml
*************** HINT:  Stop the postmaster and use a sta
*** 632,638 ****
      <varname>autovacuum_max_workers</> databases to be processed,
      the next database will be processed as soon as the first worker finishes.
      Each worker process will check each table within its database and
!     execute <command>VACUUM</> and/or <command>ANALYZE</> as needed.
     </para>
  
     <para>
--- 632,640 ----
      <varname>autovacuum_max_workers</> databases to be processed,
      the next database will be processed as soon as the first worker finishes.
      Each worker process will check each table within its database and
!     execute <command>VACUUM</> and/or <command>ANALYZE</> as needed. 
!     <varname>log_autovacuum_min_duration</varname> can be used to monitor
!     autovacuum activity.
     </para>
  
     <para>